Memos

Update User Webhook

UpdateUserWebhook updates a webhook. Only the owner may call it.

PATCH
/api/users/{user}/webhooks/{webhook}

Path Parameters

user*string

The user id.

webhook*string

The webhook id.

Query Parameters

updateMask?string

The fields to update. Supported paths: url, display_name, signing_secret. When unset, all of them are updated, skipping an empty url or signing_secret.

Formatfield-mask

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

UserWebhook is a webhook owned by a user.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/users/string/webhooks/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "name": "string",  "displayName": "string",  "url": "string",  "signingSecret": "string",  "signingSecretSet": true,  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z"}